<?php
/**
 * Big Event About Us Shortcode
 *
 * @link https://codex.wordpress.org/Shortcode_API
 *
 * @package big-event
 * @author CodexCoder
 * @since 1.0.0
 * @version 1.0.0
 */

if( function_exists( 'vc_map' ) ) :
class WPBakeryShortcode_big_event_about_us_4 extends WPBakeryShortcode {
	protected function content( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'bg_color'				=> '',
			'title'					=> '',
			'title_color'			=> '',
			'subtitle'				=> '',
			'subtitle_color'		=> '',
			'read_more_btn_text'	=> '',
			'read_more_btn_url'		=> '',
			'read_more_btn_color'	=> '',
			'buy_ticket_btn_text'	=> '',
			'buy_ticket_btn_url'	=> '',
			'buy_ticket_btn_color'	=> '',
			'event_title'		 	=> '',
			'event_time'		 	=> '',			
			'time_offset'		 	=> '-5',			
			'be_class'				=> ''
		), $atts ) );
		$atts['content'] = $content;
		ob_start();
			big_event_about_us_4( $bg_color, $title, $title_color, $subtitle, $subtitle_color, $content, $read_more_btn_text, $read_more_btn_url, $read_more_btn_color, $buy_ticket_btn_text, $buy_ticket_btn_url, $buy_ticket_btn_color, $event_title, $event_time, $time_offset, $be_class );
		return ob_get_clean();
	}
}

vc_map( array(
	'name'			=> esc_html__( 'About Us 04', 'big-event' ),
	'base'			=> 'big_event_about_us_4',
	'class'			=> '',
	'category'		=> esc_html__( 'Big Event', 'big-event' ),
	'params'		=> array(
		array(
			'type'			=> 'colorpicker',
			'heading'		=> esc_html__( 'Section Background', 'big-event' ),
			'param_name'	=> 'bg_color',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Title', 'big-event' ),
			'param_name'	=> 'title',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'colorpicker',
			'heading'		=> esc_html__( 'Title Color', 'big-event' ),
			'param_name'	=> 'title_color',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Subtitle', 'big-event' ),
			'param_name'	=> 'subtitle',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'colorpicker',
			'heading'		=> esc_html__( 'Subtitle Color', 'big-event' ),
			'param_name'	=> 'subtitle_color',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'textarea_html',
			'heading'		=> esc_html__( 'Content', 'big-event' ),
			'param_name'	=> 'content',
			'group'			=> esc_html__( 'About Us', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Read More Text', 'big-event' ),
			'param_name'	=> 'read_more_btn_text',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Read More URL', 'big-event' ),
			'param_name'	=> 'read_more_btn_url',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'colorpicker',
			'heading'		=> esc_html__( 'Read More Background Color', 'big-event' ),
			'param_name'	=> 'read_more_btn_color',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Buy Ticket Text', 'big-event' ),
			'param_name'	=> 'buy_ticket_btn_text',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Buy Ticket URL', 'big-event' ),
			'param_name'	=> 'buy_ticket_btn_url',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'colorpicker',
			'heading'		=> esc_html__( 'Buy Ticket Background Color', 'big-event' ),
			'param_name'	=> 'buy_ticket_btn_color',
			'group'			=> esc_html__( 'Button', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Event Title', 'big-event' ),
			'param_name'	=> 'event_title',
			'group'			=> esc_html__( 'Event', 'big-event' )
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Event Counter Date Time', 'big-event' ),
			'param_name'	=> 'event_time',
			'group'			=> esc_html__( 'Event', 'big-event' ),
			'description'	=> esc_html__( 'To display event counter properly it is must needed to enter event time in this format- mm/dd/yyyy 17:00:00', 'big-event' )
		),		
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Time GMT UTC offset', 'big-event' ),
			'param_name'	=> 'time_offset',
			'std'           => '-5',
			'group'			=> esc_html__( 'Event', 'big-event' ),
			'description'	=> esc_html__( 'ex: -5', 'big-event' )
		),		
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Extra Class', 'big-event' ),
			'param_name'	=> 'be_class',
			'description'	=> esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'big-event' ),
			'group'			=> esc_html__( 'Extra Class', 'big-event' )
		)
	)
) );
endif;

