<?php
/**
 * Big Event Pricing Table
 *
 * @link https://codex.wordpress.org/Shortcode_API
 *
 * @package big-event
 * @author CodexCoder
 * @since 1.0.0
 * @version 1.0.0
 */

function big_event_pricing_table_2( $bg_image, $title, $sub_title, $categories, $post_count, $order, $orderby, $be_class ) {
	$bg_image = wp_get_attachment_image_src( $bg_image, 'full' );
	?>
<!-- Pricing start here -->
<section class="pricing pricing-three pricing-four<?php echo ( empty( $bg_image ) ) ? ' padding-120' : ''; echo ( $be_class ) ? ' ' . esc_attr( $be_class ) : ''; ?>" style="background-image: url( <?php echo esc_attr( $bg_image[0] ); ?> );">
  <?php
  if( ! empty( $bg_image ) ) : ?>
  <div class="overlay">
  <?php
  endif; ?>
    <div class="container">

      <?php
      if( ! empty( $title ) || ! empty( $sub_title ) ) : ?>

      <div class="section-header text-center">

        <?php
        if( ! empty( $title ) ) :

          echo '<h3>' . esc_html( $title ) . '</h3>';

        endif; ?>

        <?php
        if( ! empty( $sub_title ) ) :

          echo '<p><em>' . esc_html( $sub_title ) . '</em></p>';

        endif; ?>
        
      </div>

      <?php endif; ?>

      <div class="pricing-items">
        <div class="row">
		<?php
		if( $categories == NULL ) :
			$pricing_table = new WP_Query( array(
				'post_type'			=> 'price-table',
				'posts_per_page'	=> $post_count,
				'order'				=> $order,
				'orderby'			=> $orderby
			) );
        else :
            $pricing_table = new WP_Query( array(
				'post_type'			=> 'price-table',
				'posts_per_page'	=> $post_count,
				'order'				=> $order,
				'orderby'			=> $orderby,
              	'tax_query' => array(
                array(
                  'taxonomy' => 'pricing_category',
                  'field'    => 'term_id',
                  'terms'    => $categories,
                ),
              ),
            ) );
        endif;

		if( $pricing_table->have_posts() ) :

			$i = 1;

			while( $pricing_table->have_posts() ) : $pricing_table->the_post();

			if( $i == 1 ) :
				$color = ' first';
			elseif( $i == 2 ) :
				$color = ' second';
			elseif( $i == 3 ) :
				$color = ' third';
			else :
				$color = ' fourth';
			endif;

			if( function_exists( 'cs_get_option' ) ) :

				$price_table_options 			= get_post_meta( get_the_ID(), '_be_pricing_table_options', true );
				$be_price_table_currency		= isset( $price_table_options['be_price_table_currency'] ) ? $price_table_options['be_price_table_currency'] : '';
				$be_price_table_rate			= isset( $price_table_options['be_price_table_rate'] ) ? $price_table_options['be_price_table_rate'] : '';
				$be_price_table_offers			= isset( $price_table_options['be_price_table_offers'] ) ? $price_table_options['be_price_table_offers'] : '';
				$be_price_table_button_text		= isset( $price_table_options['be_price_table_button_text'] ) ? $price_table_options['be_price_table_button_text'] : '';
				$be_price_table_button_url		= isset( $price_table_options['be_price_table_button_url'] ) ? $price_table_options['be_price_table_button_url'] : '';

			endif; ?>

	          <div class="col-md-6 col-sm-12 col-xs-12">
	            <div class="pricing-item <?php echo esc_attr( $color ); ?>">
	              <div class="pricing-header">

	              	<?php
	              	the_title( '<h3 class="name">', '</h3>' ); ?>

	              	<?php
	              	if( ! empty( $be_price_table_currency ) && ! empty( $be_price_table_rate ) ) :

	              		echo '<h2 class="amount"><sup>' . esc_html( $be_price_table_currency ) . '</sup>' . esc_html( $be_price_table_rate ) . '</h2>';

	              	endif; ?>

					<?php
					if( ! empty( $be_price_table_button_text ) && ! empty( $be_price_table_button_url ) ) : ?>

						<a href="<?php echo esc_url( $be_price_table_button_url ); ?>">
							<?php echo esc_html( $be_price_table_button_text ); ?>
						</a>

					<?php endif; ?>
					
	              </div><!-- pricing-header -->

		            <?php
		            if( ! empty( $be_price_table_offers ) ) : ?>

		              <div class="pricing-options">
						<div>

			              	<?php foreach( $be_price_table_offers as $be_price_table_offer ) : ?>

				                <p><span class="<?php echo ( $be_price_table_offer['offer_icon'] == 'fa fa-times' ) ? ' ' . 'off' : '' ?>"><i class="<?php echo esc_attr( $be_price_table_offer['offer_icon'] ); ?>" aria-hidden="true"></i></span><?php echo esc_html( $be_price_table_offer['offer_title'] ); ?></p>

			            	<?php endforeach; ?>

						</div>
		              </div><!-- pricing-options -->

	          		<?php endif; ?>

	            </div><!-- pricing item -->
	          </div>
			<?php $i++; endwhile;

			wp_reset_postdata();

			endif; ?>
        </div><!-- row -->
      </div><!-- pricing items -->
      
    </div><!-- container -->
  <?php
  if( ! empty( $bg_image ) ) : ?>
  </div>
  <?php
  endif; ?>
</section><!-- pricing -->
<!-- Pricing end here -->
<?php }