<?php
/**
 * Big Event Pricing Table
 *
 * @link https://codex.wordpress.org/Shortcode_API
 *
 * @package big-event
 * @author CodexCoder
 * @since 1.0.0
 * @version 1.0.0
 */

function big_event_pricing_table_5( $bg_color, $title, $sub_title, $categories, $post_count, $order, $orderby, $be_class ) { ?>
    <!-- Pricing start here -->
    <section class="dark-layout">
        <div class="dark-price dark-overlay-right dark-bg pricing pricing-uhv padding-120 <?php echo esc_attr( $be_class ); ?>" <?php echo !empty($bg_color) ? 'style="background-color:'.esc_attr($bg_color).'"':'' ?>>
            <div class="container">
                <?php
                if( ! empty( $title ) || ! empty( $sub_title ) ) : ?>
                <div class="section-header text-center">
                    <?php
                    if( ! empty( $title ) ) :
                      echo '<h3>' . esc_html( $title ) . '</h3>';
                    endif;

                    if( ! empty( $sub_title ) ) :

                      echo '<p><em>' . esc_html( $sub_title ) . '</em></p>';

                    endif; 
                    ?>
                </div>
                <?php endif; ?>
                <div class="section-wrapper">
                <div class="pricing-items">
                    <div class="row">
                        <?php 
                        if ($categories == NULL) :
                            $pricing_table = new WP_Query(array(
                                'post_type' => 'price-table',
                                'posts_per_page' => $post_count,
                                'order' => $order,
                                'orderby' => $orderby
                            ));
                        else :
                            $pricing_table = new WP_Query(array(
                                'post_type' => 'price-table',
                                'posts_per_page' => $post_count,
                                'order' => $order,
                                'orderby' => $orderby,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'pricing_category',
                                        'field' => 'term_id',
                                        'terms' => $categories,
                                    ),
                                ),
                            ));
                        endif;
                        
                        if( $pricing_table->have_posts() ) :
    			$i = 1;
    			while( $pricing_table->have_posts() ) : $pricing_table->the_post();
    			if( function_exists( 'cs_get_option' ) ) :
    				$price_table_options 			= get_post_meta( get_the_ID(), '_be_pricing_table_options', true );
    				$be_price_table_currency		= isset( $price_table_options['be_price_table_currency'] ) ? $price_table_options['be_price_table_currency'] : '';
    				$be_price_table_rate			= isset( $price_table_options['be_price_table_rate'] ) ? $price_table_options['be_price_table_rate'] : '';
    				$be_price_table_offers			= isset( $price_table_options['be_price_table_offers'] ) ? $price_table_options['be_price_table_offers'] : '';
    				$be_price_table_button_text		= isset( $price_table_options['be_price_table_button_text'] ) ? $price_table_options['be_price_table_button_text'] : '';
    				$be_price_table_button_url		= isset( $price_table_options['be_price_table_button_url'] ) ? $price_table_options['be_price_table_button_url'] : '';

    			endif;                    
                        ?>                    
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <div class="pricing-item">
                                <div class="pricing-header">
                                    <?php 
                                    the_title( '<h3 class="name">', '</h3>' );
                                    
                                    if( ! empty( $be_price_table_currency ) && ! empty( $be_price_table_rate ) ) :
                                        echo '<h2 class="amount">' . esc_html( $be_price_table_currency ) . esc_html( $be_price_table_rate ) . '</h2>';
                                    endif; 
                                    ?>
                                </div><!-- pricing-header -->
                                <?php if( ! empty( $be_price_table_offers ) ) : ?>
                                <div class="pricing-options">
                                    <?php 
                                    foreach( $be_price_table_offers as $be_price_table_offer ) : 
                                        echo '<p>'.esc_html( $be_price_table_offer['offer_title'] ).'</p>';
                                    endforeach; 
                                    ?>                                
                                </div><!-- pricing-options -->
                                <?php endif; ?>
                                <?php
                                if( ! empty( $be_price_table_button_text ) && ! empty( $be_price_table_button_url ) ) : ?>
                                    <div class="pricing-button">
                                        <a href="<?php echo esc_url( $be_price_table_button_url ); ?>">
                                            <?php echo esc_html( $be_price_table_button_text ); ?>
                                        </a>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php $i++; endwhile;
                        wp_reset_postdata();
                        endif; ?>                    
                    </div><!-- row -->
                </div><!-- pricing items -->
                </div>
            </div><!-- container -->
        </div><!-- pricing -->
    </section>
    <!-- Pricing end here -->
<?php }