<?php
$be_footer_bg               = '';
$be_footer_overlay          = '';
$be_footer_social_profiles  = '';
$be_copyright_section       = '';
if( function_exists( 'cs_get_option' ) ) :
    $be_custom_page_options     = get_post_meta( get_the_ID(), '_be_custom_page_options', true );
    $be_custom_footer_settings    = isset( $be_custom_page_options['be_custom_footer_settings'] ) ? $be_custom_page_options['be_custom_footer_settings'] : '';
    if( is_page() && $be_custom_footer_settings == true && !empty($be_custom_page_options['be_footer_logo'])) :
        $be_footer_logo          = isset( $be_custom_page_options['be_footer_logo'] ) ? $be_custom_page_options['be_footer_logo'] : '';
    else:
        $be_footer_logo               = cs_get_option( 'be_footer_logo' );
    endif;
    if( is_page() && $be_custom_footer_settings == true && !empty($be_custom_page_options['be_footer_bg'])) :
        $be_footer_bg          = isset( $be_custom_page_options['be_footer_bg'] ) ? $be_custom_page_options['be_footer_bg'] : '';
    else:
        $be_footer_bg               = cs_get_option( 'be_footer_bg' );
    endif;
        
    $be_footer_social_profiles  = cs_get_option( 'be_footer_social_profiles' );
    $be_copyright_section       = cs_get_option( 'be_copyright_section' );
endif;

?>

<!-- Footer Start here -->
<footer class="site-footer" style="background-image: url( <?php echo esc_url( $be_footer_bg ); ?> );">
    <div class="container">
        <div class="footer-logo">
            <?php
            if( ! empty( $be_footer_logo ) ) :
                    echo '<a href="' . esc_url( home_url( '/' ) ) . '"><img src="' . esc_url( $be_footer_logo ) . '" alt="logo" class="img-responsive"></a>';
            endif;
            ?>
        </div>
        <?php if( $be_footer_social_profiles ) : ?>
        <ul class="event-social">
            <?php
            foreach( $be_footer_social_profiles as $be_footer_social_profile ) :

            $be_footer_social_profile_url   = isset( $be_footer_social_profile['url'] ) ? $be_footer_social_profile['url'] : '';
            $be_footer_social_profile_icon  = isset( $be_footer_social_profile['icon'] ) ? $be_footer_social_profile['icon'] : '';

                echo '<li><a href="' . esc_url( $be_footer_social_profile_url ) . '"><i class="' . esc_attr( $be_footer_social_profile_icon ) . '" aria-hidden="true"></i></a></li>';
                
            endforeach; ?>
        </ul>
        <?php endif; ?>

        <?php
        if( ! empty( $be_copyright_section ) ) :

          echo wp_kses_post( $be_copyright_section );

        endif; ?>
    </div>
</footer>
<!-- Footer End here -->